libwps_tools_win Namespace Reference documentation

Namespaces | Classes | Functions
libwps_tools_win Namespace Reference

some Windows© classes and tools More...

## Namespaces
| Language
| an enum used to define the language in Windows© for spell check

## Classes
class | Font
| a class to convert a DOS© or Windows3© character in unicode More...

## Functions
static unsigned long | unicodeFromCP037 (unsigned char c)
static unsigned long | unicodeFromCP424 (unsigned char c)
static unsigned long | unicodeFromCP437 (unsigned char c)
static unsigned long | unicodeFromCP500 (unsigned char c)
static unsigned long | unicodeFromCP737 (unsigned char c)
static unsigned long | unicodeFromCP775 (unsigned char c)
static unsigned long | unicodeFromCP850 (unsigned char c)
| Take a character in CP850 encoding, convert it Courtesy of glib2 and iconv. More...
static unsigned long | unicodeFromCP852 (unsigned char c)
static unsigned long | unicodeFromCP855 (unsigned char c)
static unsigned long | unicodeFromCP856 (unsigned char c)
static unsigned long | unicodeFromCP857 (unsigned char c)
static unsigned long | unicodeFromCP860 (unsigned char c)
static unsigned long | unicodeFromCP861 (unsigned char c)
static unsigned long | unicodeFromCP862 (unsigned char c)
static unsigned long | unicodeFromCP863 (unsigned char c)
static unsigned long | unicodeFromCP864 (unsigned char c)
static unsigned long | unicodeFromCP865 (unsigned char c)
static unsigned long | unicodeFromCP866 (unsigned char c)
static unsigned long | unicodeFromCP869 (unsigned char c)
static unsigned long | unicodeFromCP874 (unsigned char c)
static unsigned long | unicodeFromCP875 (unsigned char c)
static librevenge::RVNGString | unicodeFromCP932 (const unsigned char *c, unsigned long size)
static librevenge::RVNGString | unicodeFromCP950 (const unsigned char *c, unsigned long size)
static unsigned long | unicodeFromCP1006 (unsigned char c)
static unsigned long | unicodeFromCP1026 (unsigned char c)
static unsigned long | unicodeFromCP1250 (unsigned char c)
| Take a character in CP1250 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1251 (unsigned char c)
| Take a character in CP1251 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1252 (unsigned char c)
| Take a character in CP1252 encoding, convert it Courtesy of glib2 and iconv. More...
static unsigned long | unicodeFromCP1253 (unsigned char c)
| Take a character in CP1253 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1254 (unsigned char c)
| Take a character in CP1254 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1255 (unsigned char c)
| Take a character in CP1255 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1256 (unsigned char c)
| Take a character in CP1256 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1257 (unsigned char c)
| Take a character in CP1257 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromCP1258 (unsigned char c)
| Take a character in CP1258 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/. More...
static unsigned long | unicodeFromWingdings (unsigned char c)
static unsigned long | unicodeFromMacArabic (unsigned char c)
static unsigned long | unicodeFromMacCeltic (unsigned char c)
static unsigned long | unicodeFromMacCEurope (unsigned char c)
static unsigned long | unicodeFromMacCroatian (unsigned char c)
static unsigned long | unicodeFromMacCyrillic (unsigned char c)
static unsigned long | unicodeFromMacDevanaga (unsigned char c)
static unsigned long | unicodeFromMacFarsi (unsigned char c)
static unsigned long | unicodeFromMacGaelic (unsigned char c)
static unsigned long | unicodeFromMacGreek (unsigned char c)
static unsigned long | unicodeFromMacGujarati (unsigned char c)
static unsigned long | unicodeFromMacGurmukhi (unsigned char c)
static unsigned long | unicodeFromMacHebrew (unsigned char c)
static unsigned long | unicodeFromMacIceland (unsigned char c)
static unsigned long | unicodeFromMacInuit (unsigned char c)
static unsigned long | unicodeFromMacRoman (unsigned char c)
static unsigned long | unicodeFromMacRomanian (unsigned char c)
static unsigned long | unicodeFromMacThai (unsigned char c)
static unsigned long | unicodeFromMacTurkish (unsigned char c)
static unsigned long | unicodeFromMacSymbol (unsigned char c)

## Detailed Description

some Windows© classes and tools

## Function Documentation

## ◆ unicodeFromCP037()

static unsigned long libwps_tools_win::unicodeFromCP037 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1006()

static unsigned long libwps_tools_win::unicodeFromCP1006 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1026()

static unsigned long libwps_tools_win::unicodeFromCP1026 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1250()

static unsigned long libwps_tools_win::unicodeFromCP1250 | ( | unsigned char | c | ) |
| static

Take a character in CP1250 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1251()

static unsigned long libwps_tools_win::unicodeFromCP1251 | ( | unsigned char | c | ) |
| static

Take a character in CP1251 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1252()

static unsigned long libwps_tools_win::unicodeFromCP1252 | ( | unsigned char | c | ) |
| static

Take a character in CP1252 encoding, convert it Courtesy of glib2 and iconv.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1253()

static unsigned long libwps_tools_win::unicodeFromCP1253 | ( | unsigned char | c | ) |
| static

Take a character in CP1253 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1254()

static unsigned long libwps_tools_win::unicodeFromCP1254 | ( | unsigned char | c | ) |
| static

Take a character in CP1254 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1255()

static unsigned long libwps_tools_win::unicodeFromCP1255 | ( | unsigned char | c | ) |
| static

Take a character in CP1255 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1256()

static unsigned long libwps_tools_win::unicodeFromCP1256 | ( | unsigned char | c | ) |
| static

Take a character in CP1256 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1257()

static unsigned long libwps_tools_win::unicodeFromCP1257 | ( | unsigned char | c | ) |
| static

Take a character in CP1257 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP1258()

static unsigned long libwps_tools_win::unicodeFromCP1258 | ( | unsigned char | c | ) |
| static

Take a character in CP1258 encoding, convert it Courtesy of unicode.org: http://unicode.org/Public/MAPPINGS/VENDORS/MICSFT/WINDOWS/.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP424()

static unsigned long libwps_tools_win::unicodeFromCP424 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP437()

static unsigned long libwps_tools_win::unicodeFromCP437 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP500()

static unsigned long libwps_tools_win::unicodeFromCP500 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP737()

static unsigned long libwps_tools_win::unicodeFromCP737 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP775()

static unsigned long libwps_tools_win::unicodeFromCP775 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP850()

static unsigned long libwps_tools_win::unicodeFromCP850 | ( | unsigned char | c | ) |
| static

Take a character in CP850 encoding, convert it Courtesy of glib2 and iconv.

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP852()

static unsigned long libwps_tools_win::unicodeFromCP852 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP855()

static unsigned long libwps_tools_win::unicodeFromCP855 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP856()

static unsigned long libwps_tools_win::unicodeFromCP856 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP857()

static unsigned long libwps_tools_win::unicodeFromCP857 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP860()

static unsigned long libwps_tools_win::unicodeFromCP860 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP861()

static unsigned long libwps_tools_win::unicodeFromCP861 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP862()

static unsigned long libwps_tools_win::unicodeFromCP862 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP863()

static unsigned long libwps_tools_win::unicodeFromCP863 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP864()

static unsigned long libwps_tools_win::unicodeFromCP864 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP865()

static unsigned long libwps_tools_win::unicodeFromCP865 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP866()

static unsigned long libwps_tools_win::unicodeFromCP866 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP869()

static unsigned long libwps_tools_win::unicodeFromCP869 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP874()

static unsigned long libwps_tools_win::unicodeFromCP874 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP875()

static unsigned long libwps_tools_win::unicodeFromCP875 | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromCP932()

static librevenge::RVNGString libwps_tools_win::unicodeFromCP932 | ( | const unsigned char * | c,
|  | unsigned long | size
| ) |  |
| static

Referenced by libwps_tools_win::Font::unicodeString().

## ◆ unicodeFromCP950()

static librevenge::RVNGString libwps_tools_win::unicodeFromCP950 | ( | const unsigned char * | c,
|  | unsigned long | size
| ) |  |
| static

Referenced by libwps_tools_win::Font::unicodeString().

## ◆ unicodeFromMacArabic()

static unsigned long libwps_tools_win::unicodeFromMacArabic | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacCeltic()

static unsigned long libwps_tools_win::unicodeFromMacCeltic | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacCEurope()

static unsigned long libwps_tools_win::unicodeFromMacCEurope | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacCroatian()

static unsigned long libwps_tools_win::unicodeFromMacCroatian | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacCyrillic()

static unsigned long libwps_tools_win::unicodeFromMacCyrillic | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacDevanaga()

static unsigned long libwps_tools_win::unicodeFromMacDevanaga | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacFarsi()

static unsigned long libwps_tools_win::unicodeFromMacFarsi | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacGaelic()

static unsigned long libwps_tools_win::unicodeFromMacGaelic | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacGreek()

static unsigned long libwps_tools_win::unicodeFromMacGreek | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacGujarati()

static unsigned long libwps_tools_win::unicodeFromMacGujarati | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacGurmukhi()

static unsigned long libwps_tools_win::unicodeFromMacGurmukhi | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacHebrew()

static unsigned long libwps_tools_win::unicodeFromMacHebrew | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacIceland()

static unsigned long libwps_tools_win::unicodeFromMacIceland | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacInuit()

static unsigned long libwps_tools_win::unicodeFromMacInuit | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacRoman()

static unsigned long libwps_tools_win::unicodeFromMacRoman | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacRomanian()

static unsigned long libwps_tools_win::unicodeFromMacRomanian | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacSymbol()

static unsigned long libwps_tools_win::unicodeFromMacSymbol | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacThai()

static unsigned long libwps_tools_win::unicodeFromMacThai | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromMacTurkish()

static unsigned long libwps_tools_win::unicodeFromMacTurkish | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().

## ◆ unicodeFromWingdings()

static unsigned long libwps_tools_win::unicodeFromWingdings | ( | unsigned char | c | ) |
| static

Referenced by libwps_tools_win::Font::unicode().